| Home | Libraries | People | FAQ | More

## Macro BOOST_VARIANT_DO_NOT_USE_VARIADIC_TEMPLATES

BOOST_VARIANT_DO_NOT_USE_VARIADIC_TEMPLATES — If this macro is defined, then library won't use C++11 variadic templates. Users may define this macro to make `BOOST_VARIANT_ENUM_PARAMS` and `BOOST_VARIANT_ENUM_SHIFTED_PARAMS` expand to a comma-separated sequence instead of variadic templates. Define this macro if your compiler has problems with compilation of variadic templates.

## Synopsis

    // In header: <boost/variant/variant_fwd.hpp>

    BOOST_VARIANT_DO_NOT_USE_VARIADIC_TEMPLATES